////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Datacard Corporation.  All Rights Reserved.
//
// common methods are used by the the "smartcard" sdk samples
////////////////////////////////////////////////////////////////////////////////
#include "DXP01SDK.H"
#include "DXP01SDK_SCARD.H"
#include "util.h"

using namespace std;

class SmartcardCommon
{
	public:
	static void DisplayProtocols(const UINT protocol);
	static void DisplayByteVectorAsHex(std::string title, std::vector <byte> bytes);
	static util::PrinterStatusValues ParkCard(CComPtr <IBidiSpl>& bidiSpl, const bool parkBack);
	static void ResumeCard(const int printerJobID, CComPtr <IBidiSpl>& bidiSpl);
    static std::string SCardResultMessage(const long scardResult, const std::string message);

    static void GetSCardStatus(dxp01sdk::SCard& scard);
    static bool ReadVendorInfo(dxp01sdk::SCard& scard);

	
};
